Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.persister.file
Class VersionStamper

    java.lang.Object
      com.atlassian.bamboo.persister.file.VersionStamper

    public class VersionStamper

extends Object

This class privides and stores an application version

Constructor Summary
`VersionStamper(File buildDirectory, File xmlDataDirectory)` Create a version stamp/detector to use the configured build directory

Method Summary
`File` | `getBuildDirectory()`
`File` | `getDataDirectory()`
`int` | `getVersion()` Obtains the current version from the version stamp file.
`void` | `saveVersion()` Save the current version
`void` | `setBuildDir(File buildDir)`
`void` | `setDataDirectory(File dataDirectory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionStamper

    public VersionStamper(File buildDirectory,
                          File xmlDataDirectory)

  Create a version stamp/detector to use the configured build directory

Method Detail

### saveVersion

    public void saveVersion()

  Save the current version

### getVersion

    public int getVersion()

  Obtains the current version from the version stamp file. If one does not exist, guesses the version and saves a version stamp file.

  Returns:
    The current version number

### setBuildDir

    public void setBuildDir(File buildDir)

### setDataDirectory

    public void setDataDirectory(File dataDirectory)

### getBuildDirectory

    public File getBuildDirectory()

### getDataDirectory

    public File getDataDirectory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.